
Redmine - Feature #7720

Limit the pagination-limit when max-results is fewer than max-pagination-limit

2011-02-25 14:06 - Carl Helmertz

Status: Closed Start date: 2011-02-25

Priority: Low Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 2.0.0   

Resolution: Fixed   

Description

Here are some easy points to score for anyone who is more comfortable in Ruby than I am.

When there's a total of 26 issues in a listing/overview of issues, the option "100" (as in "show 100 items per page") is still visible.

The same thing goes for an issue list with only 1 issue on it, there's no need for any pagination at all there, it's just cluttering the UI.

Related issues:

Has duplicate Redmine - Defect #10860: Per page is enable even there are 2 or... Closed

Associated revisions

Revision 9664 - 2012-05-10 20:51 - Jean-Philippe Lang

Adaptive display of "Per page" links (#7720).

History

#1 - 2011-02-26 15:50 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

- Category changed from Issues to UI

#2 - 2012-05-10 20:53 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.0.0

- Resolution set to Fixed

Committed in r9664.
